---
names:
  full: Azure App Service does not use Azure Key Vaults to store secrets
  contextual: App Service does not use Azure Key Vaults to store secrets
description: "Azure Key Vault will store multiple types of sensitive information such\
  \ as encryption keys, certificate thumbprints, and Managed Identity Credentials.\
  \ Access to these 'Secrets' can be controlled through granular permissions."
impossible: true
type: COMPLIANCE_POLICY
categories:
  - SECURITY
frameworkMappings:
  - "/frameworks/cis-azure-v2.1.0/09/10"
  - "/frameworks/cis-azure-v3.0.0/09/11"
  - "/frameworks/cloudaware/resource-security/data-encryption"
similarPolicies:
  cloudConformity:
    - url: https://www.trendmicro.com/cloudoneconformity/knowledge-base/azure/AppService/application-secrets.html
      name: Use Key Vaults to Store App Service Application Secrets
